diff -Naur /d/visguests/mhowison/src/H5Part-1.4.0/AUTHORS H5Part-1.4.1/AUTHORS
--- /d/visguests/mhowison/src/H5Part-1.4.0/AUTHORS	2007-08-29 02:01:14.000000000 +0000
+++ H5Part-1.4.1/AUTHORS	2008-12-01 21:53:16.409191462 +0000
@@ -6,5 +6,6 @@
 Wes Bethel (NERSC/LBNL)
 John Shalf (NERSC/LBNL)
 Cristina Siegerist (NERSC/LBNL)
+Mark Howison (NERSC/LBNL)
 
 Please use h5part@lists.psi.ch for communicaion.
diff -Naur /d/visguests/mhowison/src/H5Part-1.4.0/CHANGES H5Part-1.4.1/CHANGES
--- /d/visguests/mhowison/src/H5Part-1.4.0/CHANGES	1970-01-01 00:00:00.000000000 +0000
+++ H5Part-1.4.1/CHANGES	2008-12-12 03:49:41.559578940 +0000
@@ -0,0 +1,19 @@
+VERSION 1.4.1
+*************
+
+* Added support for HDF 1.8.1.
+
+* Added float32 and int64 versions of the H5Block scalar field
+read/write functions, using a new naming convention:
+        
+        H5BlockWriteFieldFloat64()
+        H5BlockWriteFieldFloat32()
+        H5BlockWriteFieldInt64()
+
+* Modified _write_data() in H5Block to write arbitrary data types.
+
+* Fixed a bug in the configure script which was preventing compilation of
+the FORTRAN library on Cray XT4 architectures.
+
+* Added the "--with-miposix" option to the configure script to enable
+the MPI-POSIX VFD in the HDF5 layer.
diff -Naur /d/visguests/mhowison/src/H5Part-1.4.0/configure.ac H5Part-1.4.1/configure.ac
--- /d/visguests/mhowison/src/H5Part-1.4.0/configure.ac	2007-08-29 02:01:04.000000000 +0000
+++ H5Part-1.4.1/configure.ac	2008-12-12 05:40:50.224776884 +0000
@@ -1,6 +1,6 @@
 # Every configure script must call AC_INIT before doing anything else.
 # AC_INIT (package, version, [bug-report], [tarname])
-AC_INIT([H5Part], [1.4.0], [h5part@lists.psi.ch], H5Part)
+AC_INIT([H5Part], [1.4.1], [h5part@lists.psi.ch], H5Part)
 
 
 # Ensure that a recent enough version of Autoconf is being used. 
@@ -26,27 +26,27 @@
 
 AC_ARG_ENABLE(
 	[fortran],
-        [AC_HELP_STRING([--enable-fortran],
+	[AC_HELP_STRING([--enable-fortran],
 	[Compile the Fortran interface [default=no]])],
-        [USE_FORTRAN=$enableval])
+	[USE_FORTRAN=$enableval])
 
 AC_ARG_ENABLE(
 	[parallel],
-        [AC_HELP_STRING([--enable-parallel],
+	[AC_HELP_STRING([--enable-parallel],
 	[Compile the MPI/IO interface [default=no]])],
-        [USE_PARALLEL=$enableval])
+	[USE_PARALLEL=$enableval])
 
 AC_ARG_ENABLE(
 	[tools],
-        [AC_HELP_STRING([--enable-tools],
+	[AC_HELP_STRING([--enable-tools],
 	[Compile h5part tools [default=no]])],
-        [USE_TOOLS=$enableval])
+	[USE_TOOLS=$enableval])
 
 AC_ARG_WITH(
 	[mpipath],
 	[AC_HELP_STRING([--with-mpipath],
 	[path to MPI installation [default=""]])],
-        [MPIPATH=$withval], [MPIPATH=""])
+	[MPIPATH=$withval], [MPIPATH=""])
 
 AC_ARG_WITH(
 	[hdf5path],
@@ -54,6 +54,13 @@
 	[path to HDF5 installation [default=""]])],
 	[HDF5PATH=$withval], [HDF5PATH=""])
 
+AC_ARG_WITH(
+	[mpiposix],
+	[AC_HELP_STRING([--with-mpiposix],
+	[enable MPI-POSIX VFD in HDF5 [default=no]])],
+	[USE_MPIPOSIX=$enableval])
+
+
 ###############################################################################
 ################# A SIMPLE WORK AROUND TO USE ENV. VARS #######################
 ###############################################################################
@@ -97,14 +104,14 @@
     do
       echo -n "looking in $h5part_place ... $ac_c" #1>&6
       if test -r "$h5part_basedir$h5part_place/$3" ; then
-        echo "$ac_t"" found" #1>&6
-        eval $1="$h5part_place"
-        break
+	echo "$ac_t"" found" #1>&6
+	eval $1="$h5part_place"
+	break
       fi
       if test -d "$h5part_basedir$h5part_place/$3" ; then
-        echo "$ac_t"" found" #1>&6
-        eval $1="$h5part_place"
-        break
+	echo "$ac_t"" found" #1>&6
+	eval $1="$h5part_place"
+	break
       fi
       echo "$ac_t"" no" #1>&6
     done
@@ -133,26 +140,6 @@
 fi
 
 
-# DAVINCI SPECIFIC!!!
-if test `uname -n` = "davinci"; then
-   echo "DAVINCI SPECIFIC TESTING FOR STDC++ LIBRARY!"
-   PATH_Search STDCXX_CHECK '/usr/lib64 /usr/lib' libstdc++.a
-
-   # if STDCXX_CHECK is set...
-   if test "$STDCXX_CHECK" = "/usr/lib64"; then
-      echo "STDCXX setting ..."
-      echo "STDCXX_CHECK = $STDCXX_CHECK ..."
-      STDCXX="-L/usr/lib64 -lstdc++"
-      echo "STDCXX =  $STDCXX ..."
-   elif test "$STDCXX_CHECK" = "/usr/lib"; then
-      echo "STDCXX setting ..."
-      echo "STDCXX_CHECK = $STDCXX_CHECK ..."
-      STDCXX="-L/usr/lib -lstdc++"
-      echo "STDCXX =  $STDCXX ..."
-   fi 
-fi
-
-
 # Determine a C compiler to use. 
 # If CC is not already set in the environment, check for gcc and cc, then
 # for other C compilers. 
@@ -181,6 +168,16 @@
 AC_PROG_CXX(pathCC icc cc_r g++ gcc cc)
 
 
+# DAVINCI SPECIFIC!!!
+AC_MSG_CHECKING([for icc linker -lstdc++ flag])
+if test ${CXX} = "icc"; then
+  AC_MSG_RESULT([yes])
+  STDCXX="-lstdc++"
+else
+  AC_MSG_RESULT([no])
+fi
+
+
 # Set output variable INSTALL to the path of a BSD-compatible install program,
 # if one is found in the current PATH. 
 # Otherwise, set INSTALL to `dir/install-sh -c`
@@ -220,13 +217,13 @@
 if test "X$USE_64" = "Xyes"; then
     AC_MSG_RESULT([yes])
     if test $uname = "AIX"; then
-        CFLAGS="$CFLAGS -q64"
-        FFLAGS="$FFLAGS -q64"
+	CFLAGS="$CFLAGS -q64"
+	FFLAGS="$FFLAGS -q64"
     fi
 
     if test $uname = "IRIX64"; then
-        CFLAGS="$CFLAGS -64"
-        FFLAGS="$FFLAGS -64 -fPIC -fno-second-underscore"
+	CFLAGS="$CFLAGS -64"
+	FFLAGS="$FFLAGS -64 -fPIC -fno-second-underscore"
     fi
 else
     AC_MSG_RESULT([no])
@@ -240,28 +237,37 @@
 
     AC_PROG_FC(ifort xlf_r pathf90 g95 g90 ftn gfortran)
     if test -z "$FC" ; then
-        AC_MSG_ERROR([Cannot find a fortran compiler!!!])
-        exit 1
+	AC_MSG_ERROR([Cannot find a fortran compiler!!!])
+	exit 1
     fi
 
     if test ! $uname = "AIX"; then
-        FFLAGS="${FFLAGS} -fPIC -fno-second-underscore"
+	FFLAGS="${FFLAGS} -fPIC"
+    fi
+ 
+    if test $FC = "g90"; then
+	FFLAGS="${FFLAGS} -fno-second-underscore"
+    fi
+
+    if test $FC = "g95"; then
+	FFLAGS="${FFLAGS} -fno-second-underscore"
     fi
 
     AC_MSG_CHECKING([symbol convention in object files])
     `cd src && rm -f TestUnderscore.o TestUnderscoreC.o TestUnderscore`
     `cd src && ${FC} ${FFLAGS} -c TestUnderscore.f`
     `cd src && ${CC} ${CFLAGS} -c TestUnderscoreC.c`
-    `cd src && ${FC} ${FFLAGS} -o TestUnderscore TestUnderscore.o TestUnderscoreC.o -lc`
+#    `cd src && ${FC} ${FFLAGS} -o TestUnderscore TestUnderscore.o TestUnderscoreC.o -lc`
+    `cd src && ${FC} ${FFLAGS} -o TestUnderscore TestUnderscore.o TestUnderscoreC.o`
 
     if test -f src/TestUnderscore ; then
-        UNDERSCORE_H=Underscore.h
-        `cd src && ./TestUnderscore > Underscore.h`
-        AC_MSG_RESULT([ok])
+	UNDERSCORE_H=Underscore.h
+	`cd src && ./TestUnderscore > Underscore.h`
+	AC_MSG_RESULT([ok])
     else
-        AC_MSG_RESULT([nok])
-        AC_MSG_ERROR([Cannot build fortran executables!!!])
-        exit 1
+	AC_MSG_RESULT([nok])
+	AC_MSG_ERROR([Cannot build fortran executables!!!])
+	exit 1
     fi
 else
     AC_MSG_RESULT([no])
@@ -277,38 +283,42 @@
 
     AC_MSG_CHECKING([if we can compile MPI code without setting flags])
     AC_TRY_LINK([#include "mpi.h"], [
-        MPI_Comm comm;
+	MPI_Comm comm;
 	int n;
 	MPI_Comm_size( comm, &n ); ], 
 	[echo 'yes'; r='yes'], [echo "no"; r='no'] )
 
+    if test "X$USE_MPIPOSIX" = "Xyes"; then
+	CFLAGS="${CFLAGS} -DH5PART_MPIPOSIX"
+    fi
+ 
     if test "X$r" = "Xno"; then
-        AC_PATH_PROGS([MPICC], [mpicc mpcc_r], [], [$PATH])
-        AC_PATH_PROGS([MPICXX], [mpicxx mpcc_r], [], [$PATH])
-        if test -z "$MPICC" -o -z "$MPICXX"; then 
-            AC_MSG_CHECKING([for MPI root ])
-            AC_MSG_RESULT([])
-            if test -n "$MPIROOT"; then
-                P=${MPIROOT}
-            elif test -n "$MPIHOME"; then
-                P=${MPIHOME}
-            elif test -n "$MPIPATH"; then
-                P=${MPIPATH}
-            else
-                P=''
-                P="$P /usr"
-                P="$P /usr/local"
-                P="$P /usr/local/mpi"
-                P="$P /usr/local/packages/mpi"
-                P="$P /usr/local/mpich2"
-                P="$P /usr/local/mpich"
-                P="$P /opt/xt-mpt/default/mpich2-64/P2"
-            fi
-            PATH_Search MPIROOT "$P" include/mpi.h
-            if test ! -n "$MPIROOT"; then
+	AC_PATH_PROGS([MPICC], [mpicc mpcc_r], [], [$PATH])
+	AC_PATH_PROGS([MPICXX], [mpicxx mpcc_r], [], [$PATH])
+	if test -z "$MPICC" -o -z "$MPICXX"; then 
+	    AC_MSG_CHECKING([for MPI root ])
+	    AC_MSG_RESULT([])
+	    if test -n "$MPIROOT"; then
+		P=${MPIROOT}
+	    elif test -n "$MPIHOME"; then
+		P=${MPIHOME}
+	    elif test -n "$MPIPATH"; then
+		P=${MPIPATH}
+	    else
+		P=''
+		P="$P /usr"
+		P="$P /usr/local"
+		P="$P /usr/local/mpi"
+		P="$P /usr/local/packages/mpi"
+		P="$P /usr/local/mpich2"
+		P="$P /usr/local/mpich"
+		P="$P /opt/xt-mpt/default/mpich2-64/P2"
+	    fi
+	    PATH_Search MPIROOT "$P" include/mpi.h
+	    if test ! -n "$MPIROOT"; then
 		AC_MSG_ERROR([Cannot determine MPI root!!!])
-                exit 1
-            fi
+		exit 1
+	    fi
 
 	    if test -e "${MPIROOT}/bin/mpicc"; then
 	       MPICC=${MPIROOT}/bin/mpicc
@@ -319,32 +329,32 @@
 	    fi
 	fi
 
-        if test -z "$MPICC" -o -z "$MPICXX"; then 
-            MPIINC="${MPIINC} -I${MPIROOT}/include"
-            FFLAGS="${FFLAGS} -I${MPIROOT}/include"
-            AC_MSG_CHECKING([for name of MPI lib ])
-            if test -e ${MPIROOT}/lib/libmpi.a; then
-                MPILIB="-L${MPIROOT}/lib -lmpi"
-            elif test -e ${MPIROOT}/lib/libmpi.so; then
-                MPILIB="-L${MPIROOT}/lib -lmpi"
-            elif test -e ${MPIROOT}/lib/libmpich.a; then
-                MPILIB="-L${MPIROOT}/lib -lmpich"
-            elif test -e ${MPIROOT}/lib/libmpich.so; then
-                MPILIB="-L${MPIROOT}/lib -lmpich"
-            else
-                AC_MSG_RESULT([not found])
-                exit 1
-            fi
-            AC_MSG_RESULT([${MPILIB}])
+	if test -z "$MPICC" -o -z "$MPICXX"; then 
+	    MPIINC="${MPIINC} -I${MPIROOT}/include"
+	    FFLAGS="${FFLAGS} -I${MPIROOT}/include"
+	    AC_MSG_CHECKING([for name of MPI lib ])
+	    if test -e ${MPIROOT}/lib/libmpi.a; then
+		MPILIB="-L${MPIROOT}/lib -lmpi"
+	    elif test -e ${MPIROOT}/lib/libmpi.so; then
+		MPILIB="-L${MPIROOT}/lib -lmpi"
+	    elif test -e ${MPIROOT}/lib/libmpich.a; then
+		MPILIB="-L${MPIROOT}/lib -lmpich"
+	    elif test -e ${MPIROOT}/lib/libmpich.so; then
+		MPILIB="-L${MPIROOT}/lib -lmpich"
+	    else
+		AC_MSG_RESULT([not found])
+		exit 1
+	    fi
+	    AC_MSG_RESULT([${MPILIB}])
 	fi
 
-        if test -n "$MPICC"; then
+	if test -n "$MPICC"; then
 	    CC=${MPICC}
-        fi 
+	fi 
   
-        if test -n "$MPICXX"; then
+	if test -n "$MPICXX"; then
 	    CXX=${MPICXX}
-        fi
+	fi
     fi
 
     MTARGET="libpH5Part.a"
@@ -354,7 +364,7 @@
 
     # parallel + fortran
     if test "X$USE_FORTRAN" = "Xyes"; then
-        AC_PATH_PROGS([MPIFC], [mpxlf_r mpif90], [], [$PATH])
+	AC_PATH_PROGS([MPIFC], [mpxlf_r mpif90], [], [$PATH])
 
 	if test -z "${MPIFC}" ; then
 	    if test -e "${MPIROOT}/bin/mpif90"; then
@@ -362,19 +372,19 @@
 	    fi
 	fi
  
-        # if MPIFC empty
-        if test ! -n "$MPIFC"; then
-            AC_MSG_CHECKING([ No MPIFC detected. Setting MPIFC to FC.])
-            MPIFC=$FC
-            echo "MPIFC =  $MPIFC ..."
-        fi 
+	# if MPIFC empty
+	if test ! -n "$MPIFC"; then
+	    AC_MSG_CHECKING([ No MPIFC detected. Setting MPIFC to FC.])
+	    MPIFC=$FC
+	    echo "MPIFC =  $MPIFC ..."
+	fi 
 
 	if test -n "$MPIFC"; then
 	    FC=${MPIFC}
 	fi
- 
-        MTARGET="${MTARGET} libpH5PartF.a"
-        TTARGET="${TTARGET} H5testFpar"
+
+	MTARGET="${MTARGET} libpH5PartF.a"
+	TTARGET="${TTARGET} H5testFpar"
 	TTARGET="${TTARGET} H5BlockParTestScalarFieldF"
     fi
 
@@ -386,8 +396,8 @@
     TTARGET="${TTARGET} H5BlockTestAttributes"
 
     if test "X$USE_FORTRAN" = "Xyes"; then
-        MTARGET="${MTARGET} libH5PartF.a"
-        TTARGET="${TTARGET} H5testF"
+	MTARGET="${MTARGET} libH5PartF.a"
+	TTARGET="${TTARGET} H5testF"
 	TTARGET="${TTARGET} H5BlockTestAttributesF"
    fi
 fi
@@ -421,20 +431,20 @@
     P="$P /apps/hdf5"
 
     if test "X$USE_PARALLEL" = "Xyes"; then
-        P="$P /usr/local/phdf5"
-        P="$P /usr/local/hdf5/hdf5_par"
-        if test "X$USE_64" = "Xyes"; then
-            P="$P /usr/common/usg/hdf5/64/default/parallel"
-        else
-            P="$P /usr/common/usg/hdf5/32/default/parallel"
-        fi
+	P="$P /usr/local/phdf5"
+	P="$P /usr/local/hdf5/hdf5_par"
+	if test "X$USE_64" = "Xyes"; then
+	    P="$P /usr/common/usg/hdf5/64/default/parallel"
+	else
+	    P="$P /usr/common/usg/hdf5/32/default/parallel"
+	fi
     else
-        P="$P /usr/local/hdf5/hdf5_serial"
-        if test "X$USE_64" = "Xyes"; then
-            P="$P /usr/common/usg/hdf5/64/default/serial"
-        else
-            P="$P /usr/common/usg/hdf5/32/default/serial"
-        fi
+	P="$P /usr/local/hdf5/hdf5_serial"
+	if test "X$USE_64" = "Xyes"; then
+	    P="$P /usr/common/usg/hdf5/64/default/serial"
+	else
+	    P="$P /usr/common/usg/hdf5/32/default/serial"
+	fi
     fi
 fi
 PATH_Search HDF5ROOT "$P" include/hdf5.h
@@ -447,10 +457,10 @@
 if test -n "$HDF5ROOT"; then
     if test -f $HDF5ROOT/lib/libsz.a; then
 	AC_MSG_RESULT([yes])
-        SZLIB="-L$HDF5ROOT/lib/ -lsz"
+	SZLIB="-L$HDF5ROOT/lib/ -lsz"
     else
 	AC_MSG_RESULT([no])
-        SZLIB=""
+	SZLIB=""
     fi
 fi
 
@@ -585,23 +595,23 @@
 echo
 echo "Summary for `(hostname || uname -n) 2>/dev/null | sed 1q`:"
 echo
-echo "Host OS:             $host_os"
-echo "Host CPU:            $host_cpu"
-echo "Host vendor:         $host_vendor"
+echo "Host OS:	     $host_os"
+echo "Host CPU:	    $host_cpu"
+echo "Host vendor:	 $host_vendor"
 echo "Build libraries:     $MTARGET"
 echo "Build test programs: $TTARGET"
-echo "Build tools:         $BUILD_TOOLS"
-echo "CC =                 $CC"
-echo "CXX =                $CXX"
-echo "FC =                 $FC"
-echo "MPICC =              $MPICC"
-echo "MPICXX =             $MPICXX"
-echo "MPIFC =              $MPIFC"
-echo "CFLAGS =             $CFLAGS"
-echo "FFLAGS =             $FFLAGS"
-echo "MPILIB =             $MPILIB"
-echo "MPIINC =             $MPIINC"
-echo "MPIROOT =            $MPIROOT"
-echo "HDF5ROOT =           $HDF5ROOT"
-echo "LDFLAGS =            $LDFLAGS"
+echo "Build tools:	 $BUILD_TOOLS"
+echo "CC =		 $CC"
+echo "CXX =		$CXX"
+echo "FC =		 $FC"
+echo "MPICC =	      $MPICC"
+echo "MPICXX =	     $MPICXX"
+echo "MPIFC =	      $MPIFC"
+echo "CFLAGS =	     $CFLAGS"
+echo "FFLAGS =	     $FFLAGS"
+echo "MPILIB =	     $MPILIB"
+echo "MPIINC =	     $MPIINC"
+echo "MPIROOT =	    $MPIROOT"
+echo "HDF5ROOT =	   $HDF5ROOT"
+echo "LDFLAGS =	    $LDFLAGS"
 echo
diff -Naur /d/visguests/mhowison/src/H5Part-1.4.0/COPYING H5Part-1.4.1/COPYING
--- /d/visguests/mhowison/src/H5Part-1.4.0/COPYING	1970-01-01 00:00:00.000000000 +0000
+++ H5Part-1.4.1/COPYING	2008-12-12 02:39:52.412947252 +0000
@@ -0,0 +1,71 @@
+*** Copyright Notice ***
+
+H5Part  Copyright (c) 2006-2009, The Regents of the University of California,
+through Lawrence Berkeley National Laboratory (subject to receipt of any
+required approvals from the U.S. Dept. of Energy) and the Paul Scherrer
+Institut (Switzerland).  All rights reserved.
+
+If you have questions about your rights to use or distribute this
+software, please contact Berkeley Lab's Technology Transfer Department
+at  TTD@lbl.gov referring to "H5Part (LBNL Ref CR-2255)"
+
+NOTICE.  This software was developed under partial funding from the U.S.
+Department of Energy.  As such, the U.S. Government has been granted for
+itself and others acting on its behalf a paid-up, nonexclusive,
+irrevocable, worldwide license in the Software to reproduce, prepare
+derivative works, and perform publicly and display publicly.  Beginning
+five (5) years after the date permission to assert copyright is obtained
+from the U.S. Department of Energy, and subject to any subsequent five
+(5) year renewals, the U.S. Government is granted for itself and others
+acting on its behalf a paid-up, nonexclusive, irrevocable, worldwide
+license in the Software to reproduce, prepare derivative works,
+distribute copies to the public, perform publicly and display publicly,
+and to permit others to do so.
+
+
+*** License agreement ***
+
+H5Part  Copyright (c) 2006-2009, The Regents of the University of California,
+through Lawrence Berkeley National Laboratory (subject to receipt of any
+required approvals from the U.S. Dept. of Energy) and the Paul Scherrer
+Institut (Switzerland).  All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
+
+(1) Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.
+
+(2) Redistributions in binary form must reproduce the above copyright
+notice, this list of conditions and the following disclaimer in the
+documentation and/or other materials provided with the distribution.
+
+(3) Neither the name of the University of California, Lawrence Berkeley
+National Laboratory, U.S. Dept. of Energy, Paul Scherrer Institut
+(Switzerland) nor the names of its contributors may be used to endorse
+or promote products derived from this software without specific prior
+written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+You are under no obligation whatsoever to provide any bug fixes,
+patches, or upgrades to the features, functionality or performance of
+the source code ("Enhancements") to anyone; however, if you choose to
+make your Enhancements available either publicly, or directly to
+Lawrence Berkeley National Laboratory, without imposing a separate
+written license agreement for such Enhancements, then you hereby grant
+the following license: a  non-exclusive, royalty-free perpetual license
+to install, use, modify, prepare derivative works, incorporate into
+other computer software, distribute, and sublicense such enhancements or
+derivative works thereof, in binary and source code form.
+
diff -Naur /d/visguests/mhowison/src/H5Part-1.4.0/INSTALL H5Part-1.4.1/INSTALL
--- /d/visguests/mhowison/src/H5Part-1.4.0/INSTALL	1970-01-01 00:00:00.000000000 +0000
+++ H5Part-1.4.1/INSTALL	2008-12-12 15:21:50.464990823 +0000
@@ -0,0 +1,437 @@
+==============================================================================
+README file for H5Part configure
+==============================================================================
+
++ 0. HDF5 library
+-----------------
+
+Make sure you have a working version of the HDF5 library installed. If you plan
+to use parallel I/O you need to use a parallel HDF5 version. Source files and
+installation instructions are available from the HDF5 website:
+
+http://www.hdfgroup.org/HDF5/
+
+
++ 1. Quick start (If you feel lucky...)
+----------------------------------------
+
+For many platforms, where compilers are installed in the "default" location
+and all the environment variables are set correctly, it should be sufficient 
+to type: 
+
+./configure [OPTIONS] && make [install]
+
+to have the libraries and test program compiled.
+
+
++ 2. Configure line options
+----------------------------
+
+To view a full list of configure option, use:
+
+./configure --help
+
+(1) Enable options
+--enable-fortran
+--enable-parallel
+--enable-tools
+--enable-python
+--enable-64 (only for AIX and Irix)
+
+(2) Setting compilers related variables manually
+To assign environment variables (e.g., CC, CFLAGS...), specify them as
+VAR=VALUE before running configure. For example, if you are using the bash
+shell, you might type:
+
+export CC=gcc
+
+to set the default C compiler. See below for descriptions of some useful
+variables.
+
+Compiler environment variables:
+  CC          C compiler command
+  CXX         C++ compiler command
+  FC          Fortran compiler command
+  MPICC       MPI-enabled C compiler command
+  MPICXX      MPI-enabled C++ compiler command
+  MPIFC       MPI-enabled Fortran compiler command
+  CFLAGS      flags to append when invoking the C compiler
+
+Library environment variables:
+  LDFLAGS     flags to append when invoking the linker
+
+(3) Setting prefix for installation manually (by default, the package will
+install itself in the 'build' subdirectory of your source directory)
+--prefix=PREFIX         install files in PREFIX
+
+
++ 3. Platform specific settings for compiling libraries & test programs
+------------------------------------------------------------------------
+
+Building
+        make  : builds the libraries and test programs
+	make install: builds and installs
+        make clean : removes extraneous object files
+        make distclean : returns configuration to unconfigured state
+
+As tested on hosts:
+
+(0) Franklin <franklin.nersc.gov> (CNL - Cray XT4)
+--------------------------------------------------
+
+module add hdf5_par
+module add zlib
+module add szip
+export CC=cc CXX=CC FC=ftn MPICC=cc MPICXX=CC MPIFC=ftn 
+export LDFLAGS=$HDF5
+./configure --enable-fortran --enable-parallel --with-hdf5path=$HDF5_PAR_DIR --with-mpiposix
+make install
+
+
+(1) Davinci <davinci.nersc.gov> (Linux"SUSE"-ia64)
+---------------------------------------------------
+FIRST THING FIRST!! Type:
+
+module load intel
+to have the proper compilers set up for use.
+
+module load hdf5_par
+
+[NOTE: module load hdf5 does not work at this moment. 
+Possible installation error of HDF5 on Davinci.]
+
+
+Brief profile:
+CC = icc
+CXX = icc
+FC = ifort
+MPICC = icc
+MPICXX = icc
+MPIFC = ifort
+
+If default doesn't work, try:
+
+For C shell: 
+env CC=icc CXX=icc FC=ifort MPICC=icc MPICXX=icc MPIFC=ifort ./configure && make install
+
+For Korn or Bourne shell:
+CC=icc CXX=icc FC=ifort MPICC=icc MPICXX=icc MPIFC=ifort ./configure && make install
+
+And, of course, you should add configure options, such as --enable-fortran --enable-parallel.
+
+
+On this host, executing:
+
+For C shell: 
+env CC=icc CXX=icc FC=ifort MPICC=icc MPICXX=icc MPIFC=ifort ./configure --enable-fortran --enable-parallel && make install
+
+For Korn or Bourne shell:
+CC=icc CXX=icc FC=ifort MPICC=icc MPICXX=icc MPIFC=ifort ./configure --enable-fortran --enable-parallel && make install
+
+has functioned correctly.
+
+
+To run test program, go to test directory:
+
+(i) Serial test
+run:
+./H5testF
+./H5PartTest
+
+(ii) Parallel test
+run:
+mpirun 2 H5testFpar
+mpirun 2 H5PartTestP
+
+NOTE: Number 2 above is a arbitrary number that indicates the number of processes.
+
+
+
+
+
+(2) Jacquard <jacquard.nersc.gov> (Linux"SUSE"-x86_64)
+-------------------------------------------------------
+Brief profile:
+CC = pathcc
+CXX = pathCC
+FC = pathf90
+MPICC = mpicc
+MPICXX = mpicxx
+MPIFC = mpif90
+
+
+
+If default doesn't work, try:
+
+For C shell: 
+env CC=pathcc CXX=pathCC FC=pathf90 MPICC=mpicc MPICXX=mpicxx MPIFC=mpif90 ./configure && make install
+
+For Korn or Bourne shell:
+CC=pathcc CXX=pathCC FC=pathf90 MPICC=mpicc MPICXX=mpicxx MPIFC=mpif90 ./configure && make install
+
+And, of course, you should add configure options, such as --enable-fortran --enable-parallel.
+
+
+
+On this host, executing:
+
+For C shell: 
+env CC=pathcc CXX=pathCC FC=pathf90 MPICC=mpicc MPICXX=mpicxx MPIFC=mpif90 ./configure --enable-fortran --enable-parallel && make install
+
+For Korn or Bourne shell:
+CC=pathcc CXX=pathCC FC=pathf90 MPICC=mpicc MPICXX=mpicxx MPIFC=mpif90 ./configure --enable-fortran --enable-parallel && make install
+
+has functioned correctly.
+
+
+
+To run test program, go to test directory:
+
+(i) Serial test
+run:
+./H5testF
+./H5PartTest
+
+(ii) Parallel test
+In Jacquard, we need a script to run parallel programs, since Jacquard does not support interactive parallel processing. Instead, we need to submit the task to a queue. A sample script (run_H5testFpar.scr) may look like below:
+
++++++++++++++++++++++++++++++++++++++++
+#!/bin/csh
+#PBS -l nodes=1:ppn=2,walltime=00:05:00
+#PBS -N  H5testFpar
+#PBS -o H5testFpar.out
+#PBS -e H5testFpar.err
+#PBS -q debug
+#PBS -A mpccc
+#PBS -V
+
+setenv PBS_OWORKDIR /home/H5Part/test
+
+cd $PBS_O_WORKDIR
+mpirun -np 2 ./H5testFpar
++++++++++++++++++++++++++++++++++++++++
+
+Then, we need to submit the task to a queue by running:
+
+qsub run_H5testFpar.scr
+
+After processed, the result will appear in H5testFpar.out, and error messages will appear in H5testFpar.err.
+
+
+
+
+
+(3) Bassi <bassi.nersc.ogv> (AIX5.3.0.0-Power 3)
+-------------------------------------------------
+FIRST THING FIRST!! Type:
+
+module load gcc
+
+to have the proper compilers set up for use.
+
+Brief profile:
+CC = cc_r
+CXX = cc_r
+FC = xlf_r
+MPICC = mpcc_r
+MPICXX = mpcc_r
+MPIFC = mpxlf_r
+
+
+
+If default doesn't work, try:
+
+For C shell: 
+env CC=cc_r CXX=cc_r FC=xlf_r MPICC=mpcc_r MPICXX=mpcc_r MPIFC=mpxlf_r ./configure && make install
+
+For Korn or Bourne shell:
+CC=cc_r CXX=cc_r FC=xlf_r MPICC=mpcc_r MPICXX=mpcc_r MPIFC=mpxlf_r ./configure && make install
+
+And, of course, you should add configure options, such as --enable-fortran --enable-parallel.
+
+
+
+On this host, executing:
+
+For C shell: 
+env CC=cc_r CXX=cc_r FC=xlf_r MPICC=mpcc_r MPICXX=mpcc_r MPIFC=mpxlf_r ./configure --enable-fortran --enable-parallel && make install
+
+For Korn or Bourne shell:
+CC=cc_r CXX=cc_r FC=xlf_r MPICC=mpcc_r MPICXX=mpcc_r MPIFC=mpxlf_r ./configure --enable-fortran --enable-parallel && make install
+
+has functioned correctly.
+
+
+
+To run test program, go to test directory:
+
+(i) Serial test
+run:
+./H5testF
+./H5PartTest
+
+(ii) Parallel test
+run:
+unsetenv MP_SINGLE_THREAD
+poe ./H5PartTestP -procs 2 -nodes 1
+poe ./H5testFpar -procs 2 -nodes 1
+
+For more details on how to run parallel programs on Bassi, go to:
+
+http://www.nersc.gov/nusers/resources/bassi/running_jobs/
+
+
+
+
+
+(4) Starsky <starsky.lbl.gov> (Darwin8.5.0-PowerPC)
+----------------------------------------------------
+FIRST THING FIRST!! Set environment variables: (in tcsh)
+
+setenv LD_LIBRARY_PATH /usr/local/g95/lib/gcc-lib/powerpc-apple-darwin8.5.0/4.0.3/
+setenv PATH ${PATH}:/usr/local/g95/bin
+
+NOTE: This environment variable setting is specifit to Starsky. It is to make configure find the fortran compiler.
+
+Brief profile:
+CC = gcc
+CXX = g++
+FC = g95
+
+
+
+If default doesn't work, try:
+
+For C shell: 
+env CC=gcc CXX=g++ FC=g95 ./configure && make install
+
+For Korn or Bourne shell:
+CC=gcc CXX=g++ FC=g95 ./configure && make install
+
+And, of course, you should add configure options, such as --enable-fortran --enable-parallel.
+
+
+
+On this host, executing:
+
+For C shell: 
+env CC=gcc CXX=g++ FC=g95 ./configure --enable-fortran && make install
+
+For Korn or Bourne shell:
+CC=gcc CXX=g++ FC=g95 ./configure --enable-fortran && make install
+
+has functioned correctly.
+
+
+
+To run test program, go to test directory:
+
+(i) Serial test
+run:
+./H5testF
+./H5PartTest
+
+
+
+
+
+(5) Linux AMD64 Visualization group workstations (Linux"SUSE"-x86_64)
+---------------------------------------------------------
+Brief profile:
+CC = gcc
+CXX = g++
+FC = g95
+
+
+
+If default doesn't work, try:
+
+For C shell: 
+env CC=gcc CXX=g++ FC=g95 ./configure && make install
+
+For Korn or Bourne shell:
+CC=gcc CXX=g++ FC=g95 ./configure && make install
+
+And, of course, you should add configure options, such as --enable-fortran --enable-parallel.
+
+
+
+On this host, executing:
+
+For C shell: 
+env CC=gcc CXX=g++ FC=g95 ./configure --enable-fortran && make install
+
+For Korn or Bourne shell:
+CC=gcc CXX=g++ FC=g95 ./configure --enable-fortran && make install
+
+has functioned correctly.
+
+
+
+To run test program, go to test directory:
+
+(i) Serial test
+run:
+./H5testF
+./H5PartTest
+
+
+(6) Cray XT3 @ CSCS gele
+
+  1) modules/3.1.6         9) PrgEnv-pgi/1.4.26    17) xt-lustre-ss/1.4.26
+  2) MySQL/4.0.26         10) xt-pbs/5.3.4         18) Base-opts/1.4.26
+  3) acml/3.0             11) xt-service/1.4.26    19) subversion/1.3.2
+  4) pgi/6.1.4            12) xt-libc/1.4.26       20) zlib/1.2.3
+  5) totalview/7.2.0      13) xt-os/1.4.26         21) szip/2.0
+  6) xt-libsci/1.4.26     14) xt-catamount/1.4.26  22) hdf5/1.6.5
+  7) xt-mpt/1.4.26        15) xt-boot/1.4.26
+  8) xt-pe/1.4.26         16) xt-crms/1.4.26
+
+
+CFLAGS="-I$H5HOME/include -DF77_SINGLE_UNDERSCORE" LDFLAGS="-L$H5HOME/lib -L$ZHOME/lib" ./configure --enable-parallel --enable-fortran
+
+
+(7) merlin00 / merlin3 
+
+Currently Loaded Modulefiles:
+  1) hdf5/hdf5-1.6.5            2) root/root-5.10.00          3) mpi/mpich2-1.0.3-pgi-6.1   4) pgi/pgi_64-6.1
+
+FC=mpif90 ./configure --enable-parallel --enable-fortran
+
+
+
+
+==============================================================================
+
+
++ 4. Trouble shooting (Things to check for...)
+--------------------------------------------
+(0) Have you set the LD_LIBRARY_PATH?
+---Some systems require the user to manually set the environment variable, LD_LIBRARY_PATH. To do so:
+
+set the environment variable HDF5ROOT or PHDF5ROOT to point to your installation of HDF5 (serial and/or parallel respectively).
+
+For Korn or Bourne shell:
+	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${HDF5ROOT}/lib;export LD_LIBRARY_PATH
+	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:{PHDF5ROOT}/lib;export LD_LIBRARY_PATH
+
+For C shell:
+	setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${HDF5ROOT}/lib
+	setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${PHDF5ROOT}/lib
+
+Note that the values of HDF5ROOT & PHDF5ROOT will be in the "summary" section when you run configure.
+
+Not properly set LD_LIBRARY_PATH value may result in a runtime error:
+
+./H5PartTest: error while loading shared libraries: libhdf5.so.0: cannot open shared object file: No such file or directory
+
+(1) Are the compilers set correctly? 
+---Check with: which COMPILER
+
+(2) Have you installed HDF5?
+---You can get it at: http://vis.lbl.gov/Research/AcceleratorSAPP/index.html
+
+(3) Have you loaded the proper modules? 
+---It is necessary in Davinci & Bassi, and configure && make install may not work without it.
+
+
diff -Naur /d/visguests/mhowison/src/H5Part-1.4.0/NEWS H5Part-1.4.1/NEWS
--- /d/visguests/mhowison/src/H5Part-1.4.0/NEWS	2007-08-29 02:01:14.000000000 +0000
+++ H5Part-1.4.1/NEWS	2008-12-11 17:46:07.274187962 +0000
@@ -1,3 +1,25 @@
+VERSION 1.4.1
+*************
+
+* Added support for HDF 1.8.1.
+
+* Added float32 and int64 versions of the H5Block scalar field
+read/write functions, using a new naming convention:
+        
+        H5BlockWriteFieldFloat64()
+        H5BlockWriteFieldFloat32()
+        H5BlockWriteFieldInt64()
+
+* Modified _write_data() in H5Block to write arbitrary data types.
+
+* Fixed a bug in the configure script which was preventing compiling
+the FORTRAN library on Cray XT4 architectures.
+
+
+
+VERSION 1.4.0
+*************
+
 Error Handling
 --------------
  Now all functions, in which an error could occure, are returning a
